# START YAML ===
################################################################################
## Copyright © 2019 Privategrity Corporation                                   #
##                                                                             #
## All rights reserved.                                                        #
################################################################################

# Output log file
log: "results/gateways/gateway-5.log"

# Log message level
logLevel: 1

# The public IP address and port of the node associated with this gateway
nodeAddress: "127.0.0.1:50004"

# Port for Gateway to listen on. Gateway must be the only listener on this port.
# Required field.
port: 8444

# The number of seconds a message should remain in the globals before being
# deleted from the user's message queue
messageTimeout: "1800s"

# Path to where the IDF is saved. This is used by the wrapper management script.
idfPath: "results/gateways/gateway-5-idf.json"

# === REQUIRED FOR ENABLING TLS ===
# Path to the private key file
keyPath: "../keys/cmix.rip.key"
# Path to the certificate file
certPath: "../keys/cmix.rip.crt"
# Path to the permissioning certificate
permissioningCertPath: "../keys/cmix.rip.crt"
# Path to the certificate file
serverCertPath: "../keys/cmix.rip.crt"

IP_Whitelist_File: "whitelist.txt"
User_Whitelist_File: "whitelist.txt"

knownRoundsPath: "results/gateways/knownrounds-5.json"
lastUpdateIdPath: "results/gateways/lastupdateid-5.txt"
devMode: true
enableGossip: true

# === END YAML
